SUSE: 2022:3407-1 important: the Linux Kernel (Live Patch 16 for SL...

   SUSE Security Update: Security update for the Linux Kernel (Live Patch 16 for SLE 15 SP3)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3407-1
Rating:             important
References:         #1199695 #1200057 #1203116 
Cross-References:   CVE-2022-1652 CVE-2022-29581 CVE-2022-39188
                   
CVSS scores:
                    CVE-2022-1652 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1652 (SUSE): 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-29581 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-29581 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-39188 (NVD) : 4.7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2022-39188 (SUSE): 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15-SP1
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise Live Patching 12-SP5
                    SUSE Linux Enterprise Micro 5.1
                    SUSE Linux Enterprise Module for Live Patching 15-SP1
                    SUSE Linux Enterprise Module for Live Patching 15-SP3
                    SUSE Linux Enterprise Server 15-SP1
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP1
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
______________________________________________________________________________

   An update that fixes three vulnerabilities is now available.

Description:

   This update for the Linux Kernel 5.3.18-150300_59_60 fixes several issues.

   The following security issues were fixed:

   - CVE-2022-39188: Fixed a race condition between unmap_mapping_range() and
     munmap() on VM_PFNMAP mappings leads to stale TLB entry (bsc#1203116).
   - CVE-2022-29581: Fixed an improper Update of Reference Count
     vulnerability in net/sched that causes privilege escalation to root
     (bsc#1199695).
   - CVE-2022-1652: Fixed a use-after-free in bad_flp_intr (bsc#1200057).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Module for Live Patching 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP3-2022-3416=1 SUSE-SLE-Module-Live-Patching-15-SP3-2022-3417=1 SUSE-SLE-Module-Live-Patching-15-SP3-2022-3418=1 SUSE-SLE-Module-Live-Patching-15-SP3-2022-3419=1 SUSE-SLE-Module-Live-Patching-15-SP3-2022-3420=1

   - SUSE Linux Enterprise Module for Live Patching 15-SP1:

      zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP1-2022-3403=1 SUSE-SLE-Module-Live-Patching-15-SP1-2022-3407=1

   - SUSE Linux Enterprise Live Patching 12-SP5:

      zypper in -t patch SUSE-SLE-Live-Patching-12-SP5-2022-3404=1



Package List:

   - SUSE Linux Enterprise Module for Live Patching 15-SP3 (ppc64le s390x x86_64):

      kernel-livepatch-5_3_18-150300_59_60-default-11-150300.2.2
      kernel-livepatch-5_3_18-150300_59_63-default-8-150300.2.2
      kernel-livepatch-5_3_18-59_24-default-17-150300.2.2
      kernel-livepatch-5_3_18-59_24-default-debuginfo-17-150300.2.2
      kernel-livepatch-5_3_18-59_27-default-17-150300.2.2
      kernel-livepatch-5_3_18-59_27-default-debuginfo-17-150300.2.2
      kernel-livepatch-5_3_18-59_34-default-16-150300.2.2
      kernel-livepatch-5_3_18-59_34-default-debuginfo-16-150300.2.2
      kernel-livepatch-SLE15-SP3_Update_6-debugsource-17-150300.2.2
      kernel-livepatch-SLE15-SP3_Update_7-debugsource-17-150300.2.2
      kernel-livepatch-SLE15-SP3_Update_9-debugsource-16-150300.2.2

   - SUSE Linux Enterprise Module for Live Patching 15-SP1 (ppc64le x86_64):

      kernel-livepatch-4_12_14-197_102-default-14-150100.2.2
      kernel-livepatch-4_12_14-197_108-default-9-150100.2.2

   - SUSE Linux Enterprise Live Patching 12-SP5 (ppc64le s390x x86_64):

      kgraft-patch-4_12_14-122_110-default-11-2.2


References:

   https://www.suse.com/security/cve/CVE-2022-1652.html
   https://www.suse.com/security/cve/CVE-2022-29581.html
   https://www.suse.com/security/cve/CVE-2022-39188.html
   https://bugzilla.suse.com/1199695
   https://bugzilla.suse.com/1200057
   https://bugzilla.suse.com/1203116

SUSE: 2022:3407-1 important: the Linux Kernel (Live Patch 16 for SLE 15 SP3)

September 26, 2022
An update that fixes three vulnerabilities is now available

Summary

This update for the Linux Kernel 5.3.18-150300_59_60 fixes several issues. The following security issues were fixed: - CVE-2022-39188: Fixed a race condition between unmap_mapping_range() and munmap() on VM_PFNMAP mappings leads to stale TLB entry (bsc#1203116). - CVE-2022-29581: Fixed an improper Update of Reference Count vulnerability in net/sched that causes privilege escalation to root (bsc#1199695). - CVE-2022-1652: Fixed a use-after-free in bad_flp_intr (bsc#1200057). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Module for Live Patching 15-SP3: zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP3-2022-3416=1 SUSE-SLE-Module-Live-Patching-15-SP3-2022-3417=1 SUSE-SLE-Module-Live-Patching-15-SP3-2022-3418=1 SUSE-SLE-Module-Live-Patching-15-SP3-2022-3419=1 SUSE-SLE-Module-Live-Patching-15-SP3-2022-3420=1 - SUSE Linux Enterprise Module for Live Patching 15-SP1: zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP1-2022-3403=1 SUSE-SLE-Module-Live-Patching-15-SP1-2022-3407=1 - SUSE Linux Enterprise Live Patching 12-SP5: zypper in -t patch SUSE-SLE-Live-Patching-12-SP5-2022-3404=1 Package List: - SUSE Linux Enterprise Module for Live Patching 15-SP3 (ppc64le s390x x86_64): kernel-livepatch-5_3_18-150300_59_60-default-11-150300.2.2 kernel-livepatch-5_3_18-150300_59_63-default-8-150300.2.2 kernel-livepatch-5_3_18-59_24-default-17-150300.2.2 kernel-livepatch-5_3_18-59_24-default-debuginfo-17-150300.2.2 kernel-livepatch-5_3_18-59_27-default-17-150300.2.2 kernel-livepatch-5_3_18-59_27-default-debuginfo-17-150300.2.2 kernel-livepatch-5_3_18-59_34-default-16-150300.2.2 kernel-livepatch-5_3_18-59_34-default-debuginfo-16-150300.2.2 kernel-livepatch-SLE15-SP3_Update_6-debugsource-17-150300.2.2 kernel-livepatch-SLE15-SP3_Update_7-debugsource-17-150300.2.2 kernel-livepatch-SLE15-SP3_Update_9-debugsource-16-150300.2.2 - SUSE Linux Enterprise Module for Live Patching 15-SP1 (ppc64le x86_64): kernel-livepatch-4_12_14-197_102-default-14-150100.2.2 kernel-livepatch-4_12_14-197_108-default-9-150100.2.2 - SUSE Linux Enterprise Live Patching 12-SP5 (ppc64le s390x x86_64): kgraft-patch-4_12_14-122_110-default-11-2.2

References

#1199695 #1200057 #1203116

Cross- CVE-2022-1652 CVE-2022-29581 CVE-2022-39188

CVSS scores:

CVE-2022-1652 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-1652 (SUSE): 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-29581 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-29581 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-39188 (NVD) : 4.7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H

CVE-2022-39188 (SUSE): 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise High Performance Computing 15-SP1

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise Live Patching 12-SP5

SUSE Linux Enterprise Micro 5.1

SUSE Linux Enterprise Module for Live Patching 15-SP1

SUSE Linux Enterprise Module for Live Patching 15-SP3

SUSE Linux Enterprise Server 15-SP1

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP1

SUSE Linux Enterprise Server for SAP Applications 15-SP3

https://www.suse.com/security/cve/CVE-2022-1652.html

https://www.suse.com/security/cve/CVE-2022-29581.html

https://www.suse.com/security/cve/CVE-2022-39188.html

https://bugzilla.suse.com/1199695

https://bugzilla.suse.com/1200057

https://bugzilla.suse.com/1203116

Severity
Announcement ID: SUSE-SU-2022:3407-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.